# Account management

Version: 1.0

## Servers

Sandbox
```
https://api.solaris-sandbox.de
```

Production
```
https://api.solarisbank.de
```

## Download OpenAPI description

[Account management](https://docs.solarisgroup.com/_bundle/api-reference/digital-banking/account-management.yaml)

## Accounts

### Index accounts

 - [GET /v1/accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/accounts/paths/~1v1~1accounts/get.md): Returns all accounts (both personal & business) managed under a partner.

### Get an account

 - [GET /v1/accounts/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/accounts/paths/~1v1~1accounts~1%7Bid%7D/get.md): Returns information about a specific account (personal or business).

### Get balance for an account

 - [GET /v1/accounts/{account_id}/balance](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/accounts/paths/~1v1~1accounts~1%7Baccount_id%7D~1balance/get.md): Returns the balance of an account in the form of two objects—balance and available_balance.

### Get average daily balance for an account

 - [GET /v1/accounts/{account_id}/average_daily_balance](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/accounts/paths/~1v1~1accounts~1%7Baccount_id%7D~1average_daily_balance/get.md): Fetches the average of daily end-of-day balance for the specified account and date range. A maximum of one year can be provided as date range. If the account has no balance for a given day because for example it was opened after the start_date OR closed before end_date, those days will have end-of-day balance as 0. If end_date is in the future, those days' balance is equal to the latest balance. It is recommended to present the average balance to the Customer as Yearly for past years and Year to Date for current year.

### Get account bookings

 - [GET /v1/accounts/{account_id}/bookings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/accounts/paths/~1v1~1accounts~1%7Baccount_id%7D~1bookings/get.md): Returns an array containing all bookings for an account.

## Person accounts

### Index accounts for a person

 - [GET /v1/persons/{person_id}/accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts/get.md): Returns an array containing all accounts owned by the person specified in the request URL.

### Get a single personal account

 - [GET /v1/persons/{person_id}/accounts/{account_id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D/get.md): Returns information about a single personal banking account.

### Update a personal account

 - [PATCH /v1/persons/{person_id}/accounts/{account_id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D/patch.md): Updates the personal account specified in the request URL.

## Business accounts

### Index accounts for a business

 - [GET /v1/businesses/{business_id}/accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/business-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts/get.md): Returns an array containing all accounts owned by the business specified in the request URL.

### Retrieve a business account

 - [GET /v1/businesses/{business_id}/accounts/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/business-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Bid%7D/get.md): Returns the business account specified in the request URL.

## Reference accounts

### Index reference accounts for a business

 - [GET /v1/businesses/{business_id}/accounts/{account_id}/reference_accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reference-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Baccount_id%7D~1reference_accounts/get.md): Returns an array containing all reference accounts associated with the business account specified in the request URL.

### Create a reference account for a business

 - [POST /v1/businesses/{business_id}/accounts/{account_id}/reference_accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reference-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Baccount_id%7D~1reference_accounts/post.md): Adds an external bank account as a reference account to the business' Solaris account specified in the request URL. Note: Before calling this endpoint, you must create a SEPA Direct Debit mandate and have the customer sign it.

### Create reference account for a person

 - [POST /v1/persons/{person_id}/accounts/{account_id}/reference_accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reference-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D~1reference_accounts/post.md): Adds an external bank account as a reference account to the person's Solaris account specified in the request URL. Note: Before calling this endpoint, you must create a SEPA Direct Debit mandate for your customer and have them sign it.

### Index reference accounts for a person

 - [GET /v1/persons/{person_id}/accounts/{account_id}/reference_accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reference-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D~1reference_accounts/get.md): Returns an array containing all reference accounts associated with the person's Solaris account specified in the request URL.

### Index rejected incoming transactions

 - [GET /v1/accounts/{account_id}/rejected_incoming_transactions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reference-accounts/paths/~1v1~1accounts~1%7Baccount_id%7D~1rejected_incoming_transactions/get.md): Returns an array containing all incoming transactions to the account specified in the request URL that Solaris rejected/returned.

## Account closure requests

### Initiate account closure request

 - [POST /v1/account_closure_requests](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/account-closure-requests/create%20account_closure_request.md): Creates an account closure request for the specified account. See the account closure guide for more information about this process and the associated stages.

### List all account closure requests

 - [GET /v1/account_closure_requests](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/account-closure-requests/index%20account_closure_requests.md): Returns an array containing all account closure requests.

### Get a single account closure request

 - [GET /v1/account_closure_requests/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/account-closure-requests/get%20account_closure_request%20by%20id.md): Retrieves information about a specific account closure request, specified in the request URL.

## Fee collection

### Create a fee collection transaction

 - [POST /v1/accounts/{account_id}/transactions/fees](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/fee-collection/paths/~1v1~1accounts~1%7Baccount_id%7D~1transactions~1fees/post.md): Creates a fee transaction on the account specified in the URL. Solaris will debit the amount from the customer's account and transfer the funds to a Solaris settlement account. Each month, Solaris will pay out the amounts collected from fee transactions to your partner account.

### List fee transactions for an account

 - [GET /v1/accounts/{account_id}/transactions/fees](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/fee-collection/paths/~1v1~1accounts~1%7Baccount_id%7D~1transactions~1fees/get.md): Returns an array containing all fee transactions created for the account specified in the request URL.

## Reservations

### Index reservations on an account. Version 2022-07-18

 - [GET /v1/accounts/{account_id}/reservations](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reservations/paths/~1v1~1accounts~1%7Baccount_id%7D~1reservations/get.md): Returns an array containing all outstanding reservations on the account specified in the request URL. The API will not return reservations that have been applied or revoked. Important This endpoint replaces the old version. However, please note that you have to set the api-version header to the version you want (e.g., 2022-07-18). If you do not specify a version, then the API will return the older version of the response.

### (Deprecated) Get account reservations. Version 2022-06-01 (deprecated)

 - [GET /v1/accounts/{account_id}/reservations/old](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/reservations/paths/~1v1~1accounts~1%7Baccount_id%7D~1reservations~1old/get.md): Returns an array containing all reservations on a given account. This endpoint will deprecated soon. All partners must switch to the new version.

## Seizures

### Index seizures for a person

 - [GET /v1/persons/{person_id}/seizures](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/seizures/paths/~1v1~1persons~1%7Bperson_id%7D~1seizures/get.md): Returns an array containing all seizures for the person specified in the request URL. Note that the amount of a seizure always reflects the total amount of the seizure, even if part of it has been paid. It does not reflect the outstanding amount of the seizure.

### Index seizures for a business

 - [GET /v1/businesses/{business_id}/seizures](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/seizures/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1seizures/get.md): Returns an array containing all active seizures related to the given business. Note that the amount of a seizure always reflects the total amount of the seizure, even if part of it has been paid. It does not reflect the outstanding amount of the seizure.

## Bank statements

### Create a bank statement for an account

 - [POST /v1/accounts/{account_id}/bank_statements](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/bank-statements/paths/~1v1~1accounts~1%7Baccount_id%7D~1bank_statements/post.md): Generates a bank statement for the account specified in the request URL. You must provide a start_date and an end_date. The API will return all bookings with a valuta_date that falls on and between these two dates. You may set the start_date to a date before the account was opened, but do not provide this option to your customers in your frontend.Note: This request is idempotent. If you attempt multiple requests with the same start_date and end_date, then the API will return a 200 response with the data produced by the original request.

### Index bookings for a bank statement

 - [GET /v1/accounts/{account_id}/bank_statements/{statement_id}/bookings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/bank-statements/paths/~1v1~1accounts~1%7Baccount_id%7D~1bank_statements~1%7Bstatement_id%7D~1bookings/get.md): Returns an array containing all bookings that are contained within the account statement specified in the request URL.

## Statements of account

### Create a statement of account

 - [POST /v1/accounts/{account_id}/statement_of_accounts](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/statements-of-account/paths/~1v1~1accounts~1%7Baccount_id%7D~1statement_of_accounts/post.md): Creates a statement of account (_Rechnungsabschluss_) for the account specified in the request URL. Use the information returned in the response to generate your own branded PDF file to present to the customer. This file must include the entire data set returned by our API without exception, including the mandatory disclaimer text. In the request, you must specify a year along with an interval and a period. Together, the interval and period determine the statement's beginning and end dates (statement_period_start_date and statement_period_end_date). For example, if you make a request with an interval of MONTHLY, a period of 3, and a year of 2022, then the API will return a statement of account for the month of March 2022. If the API returns an error related to the start and end dates, then the interval and period could not be translated into dates (e.g., an invalid enum was passed) or the given interval fell outside of the allowed time frame (e.g., in the future).

### Index bookings within a statement of account

 - [GET /v1/accounts/{account_id}/statement_of_accounts/{statement_id}/bookings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/statements-of-account/paths/~1v1~1accounts~1%7Baccount_id%7D~1statement_of_accounts~1%7Bstatement_id%7D~1bookings/get.md): Returns an array of all bookings with a valuta_date that falls between the start and end dates of the account statement specified in the request URL.

### (Italy only) Index fees for a statement of account

 - [GET /v1/accounts/{account_id}/statement_of_accounts/{statement_id}/fees](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/statements-of-account/paths/~1v1~1accounts~1%7Baccount_id%7D~1statement_of_accounts~1%7Bstatement_id%7D~1fees/get.md): Returns a list of fees associated with a statement of account. The API returns the type of fee (described in the table below) in the name property of each fee, along with the amount (in EUR cents). The count property indicates the number of times that the given fee was charged.Note: This endpoint is only relevant for customers with an Italian branch bank account.   name value English description Italian description     InterestOverdraft Interest fee for overdraft Interessi debitori (utilizzo intrafido)   InterestOverdraftExceeded Interest fee for overdraft exceeded Interessi debitori (utilizzo extrafido)   InterestExcessDeposit Negative interest Spese di scritturazione contabile   CorrectionInterestExcessDeposit Correction negative interest Rettifica addebito interessi   InterestFixedTermDeposits Interest credit Interessi creditori   ChargeSEPADirectDebitReturn Charge for SEPA Direct Debit return Spese per la restituzione addebito diretto SEPA   ChargeDunning Fee for dunning letter Spese di invio messa in mora   ChargeRecallRequest Fee for transaction recall Revoca operazioni   ChargeCard Issuing of cards Costi di emissione carta   ChargeAccountMaintenance Account maintenance fee Costi di tenuta del conto   ChargeATM Cash withdrawal Prelievo contanti

## Fee summary statements

### Create a Fee Summary Statement

 - [POST /v1/accounts/{account_id}/fee_summary_statement_request](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/fee-summary-statements/paths/~1v1~1accounts~1%7Baccount_id%7D~1fee_summary_statement_request/post.md): Creates a request to issue a fee summary statement upon customer request. The statement will be uploaded to the postbox service. You'll receive a notification on the webhook event POSTBOX_ITEM_CREATED once it's available.

## Person messages

### Index messages for a person's account

 - [GET /v1/persons/{person_id}/accounts/{account_id}/messages](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-messages/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D~1messages/get.md): Returns an array containing all messages sent to the person specified in the request URL regarding the given account.

### Index messages for a person

 - [GET /v1/persons/{person_id}/messages](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-messages/paths/~1v1~1persons~1%7Bperson_id%7D~1messages/get.md): Returns an array containing all messages sent to the person specified in the request URL.

### Return a message for a person

 - [GET /v1/persons/{person_id}/messages/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-messages/paths/~1v1~1persons~1%7Bperson_id%7D~1messages~1%7Bid%7D/get.md): Returns a specific message for the person specified in the request URL.

### Retrieve a message for a person

 - [GET /v1/persons/{person_id}/accounts/{account_id}/messages/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/person-messages/paths/~1v1~1persons~1%7Bperson_id%7D~1accounts~1%7Baccount_id%7D~1messages~1%7Bid%7D/get.md): Returns a specific message for a person regarding the given account as specified in the request URL.

## Business messages

### Index messages for a business

 - [GET /v1/businesses/{business_id}/accounts/{account_id}/messages](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/business-messages/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Baccount_id%7D~1messages/get.md): Returns an array containing all messages sent to the business specified in the request URL regarding the given account.

### Retrieve a message for a business

 - [GET /v1/businesses/{business_id}/accounts/{account_id}/messages/{id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/business-messages/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1accounts~1%7Baccount_id%7D~1messages~1%7Bid%7D/get.md): Returns a specific message for a business as specified in the request URL.

## Trusted IBANs

### Add a trusted IBAN

 - [POST /v1/accounts/{account_id}/trusted_ibans](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/trusted-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1trusted_ibans/post.md): Adds an IBAN as a trusted IBAN to the account specified in the request URL. Transactions to trusted IBANs do not require two-factor authentication. Note: This endpoint will trigger the change request process. Specify the person_id of an authorized person on the account who will receive the 2FA challenge to confirm the trusted IBAN.

### Index trusted IBANs for an account

 - [GET /v1/accounts/{account_id}/trusted_ibans](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/trusted-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1trusted_ibans/get.md): Returns an array containing all IBANs added to the given account as trusted IBANs.

### Delete trusted IBAN

 - [DELETE /v1/accounts/{account_id}/trusted_ibans/{trusted_iban_id}](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/trusted-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1trusted_ibans~1%7Btrusted_iban_id%7D/delete.md): Deletes the trusted IBAN specified in the request URL. Please note the following:You must submit the person_id of the person who added this trusted IBAN as a query parameter in this request.This endpoint will trigger the change request process.

## Virtual IBANs

### List virtual IBANs

 - [GET /v1/accounts/{account_id}/virtual_ibans](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/virtual-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1virtual_ibans/get.md): Returns all virtual IBANs bound to the account specified in the request.

### Create virtual IBAN

 - [POST /v1/accounts/{account_id}/virtual_ibans](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/virtual-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1virtual_ibans/post.md): Creates a new virtual IBAN and attaches it to the account specified in the request.

### Disable virtual IBAN

 - [PATCH /v1/accounts/{account_id}/virtual_ibans/{virtual_iban_id}/disable](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/virtual-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1virtual_ibans~1%7Bvirtual_iban_id%7D~1disable/patch.md): Changes the state of the virtual IBAN in the request URL to DISABLED.

### Enable virtual IBAN

 - [PATCH /v1/accounts/{account_id}/virtual_ibans/{virtual_iban_id}/enable](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/virtual-ibans/paths/~1v1~1accounts~1%7Baccount_id%7D~1virtual_ibans~1%7Bvirtual_iban_id%7D~1enable/patch.md): Changes the state of a previously disabled virtual IBAN to ENABLED.

## IBAN validation

### Validate an IBAN

 - [POST /v1/iban_lookups](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/iban-validation/paths/~1v1~1iban_lookups/post.md): This endpoint validates an IBAN. If the IBAN is valid, then the API returns details about the number, e.g., the financial institution of the bank account and the account number.

## Savings Accounts

### Map a person's main account to a savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/post.md): Maps a person's savings account to their main (checking) account and then
triggers the remaining steps for savings account onboarding. The person
may only transfer money to and from their savings account using the main
account mapped by this request.

### Retrieve an account mapping association.

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/get.md): Returns the details of a savings account mapping, including the associated main account IBAN and the currently assigned interest tier.

### Update a person's account mapping association.

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/patch.md): Modifies the existing mapping configuration for a person’s savings account. 
    This endpoint allows for the transition of the main account association 
    or the adjustment of interest rate tiers. 
    Note: Use this endpoint only for accounts that have already been 
    initially mapped via the POST method.

### Map a business' main account to a savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/mappings](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1mappings/post.md): Maps a business' savings account to its main (checking) account and then
triggers the remaining steps for savings account onboarding. The business
may only transfer money to and from their savings account using the main
account mapped by this request.

### Create pay-in to a person's savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/payin](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payin/post.md): Transfers money from a person's main account to their savings account.

### Create pay-in to a business' savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/payin](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payin/post.md): Transfers money from a business' main account to its savings account.

### Create payout from a person's savings account

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/payout](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payout/post.md): Transfers money from a person's savings account to their main account.

### Create payout from a business' savings account

 - [POST /v1/businesses/{business_id}/deposit_accounts/{account_id}/payout](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1payout/post.md): Transfers money from a business' savings account to its main account.

### Create tax exemption order for a person

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/post.md): Creates a tax exemption order for a person's savings account, specified in
the request URL by its ID. Specify the amount to be exempted from tax in the
request body.

### Update a person's tax exemption order

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/patch.md): Modifies the time period and/or tax-exempt amount of a person's tax
exemption order.

### Retrieve a person's tax exemption order

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/get.md): Returns the tax exemption order for the person specified in the request URL.

### Remove a person's tax exemption order

 - [DELETE /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions/delete.md): Deletes the tax exemption order for the person specified in the request
URL.  Note that you should only use this endpoint for erroneous or
wrongly submitted tax exemption orders that were not utilized.
Please use PATCH Close a person's tax exemption order to close
previously utilized tax exemption orders.

### Close a person's tax exemption order

 - [PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions/close](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions~1close/patch.md): Closes the tax exemption order for the person specified in the request URL.
 Note that you should only use this endpoint for previously utilized tax
exemption orders. To delete erroneous or wrongly submitted tax
exemption orders that were not utilized, please use DELETE Remove a
person's tax exemption order.

### Request the utilization details of a person's tax exemption order

 - [POST /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions/utilization](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1tax_exemptions~1utilization/post.md): Submits a request to retrieve the tax exemption utilization details for the person and the savings account specified in the request URL. This endpoint will return a response body with only the ID of the request. The utilization details will be sent asynchronously via the 'TAX_EXEMPTION_UTILIZATION' webhook event after the request is successfully processed.

### Get interest details for a person's savings account

 - [GET /v1/persons/{person_id}/deposit_accounts/{account_id}/interest_details](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1persons~1%7Bperson_id%7D~1deposit_accounts~1%7Baccount_id%7D~1interest_details/get.md): Returns the interest details for a person's savings account, specified in
the request URL by its ID. The response includes the interest rate, the
amount of interest accrued, and the date when the interest calculator was
last run for the account.

### Get interest details for a business savings account

 - [GET /v1/businesses/{business_id}/deposit_accounts/{account_id}/interest_details](https://docs.solarisgroup.com/api-reference/digital-banking/account-management/savings-accounts/paths/~1v1~1businesses~1%7Bbusiness_id%7D~1deposit_accounts~1%7Baccount_id%7D~1interest_details/get.md): Returns the interest details for a business' savings account, specified in
the request URL by its ID. The response includes the interest rate, the
amount of interest accrued, and the date when the interest calculator was
last run for the account.

